glib-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object GLib.IWrapper System.IDisposable Base class for all of Gtk#.
- Constructor
  2.12.0.0
  Protected constructor.
  Chain to this constructor causes a native type to be registered and a native object instance to be constructed.
- Constructor
  2.12.0.0
  System.Obsolete
  The to register with the GLib type system.
  Creates a new instance, using the GLib-provided type.

  This is a constructor used by derivative types of that would have their own GLib.GType assigned to it. This is not typically used by C# code.

  This is typically used to construct a new object that must be registered with the C-based GObject type system. An is usually registered from the static constructor for the class.

- Constructor
  2.12.0.0
  The pointer to the native C object.
  Constructs the object from a C-based pointer to the GLib object.

  This constructor is used to associate a C-based GLib object with its equivalent object in the managed world.

  This method is called by the generated classes by the Gtk# framework.

- Method
  2.12.0.0
  System.Void `` a to invoke when a GObject property changes Request property-change notifications for all GObject properties This connects to the GObject "notify" signal with no detail argument, to receive notifications when any property changes.
- Method
  2.12.0.0
  System.Void `` `` the property to watch (the underlying GObject property name, not the managed wrapper property) a to invoke when changes Request property-change notifications This connects to the GObject "notify" signal with a detail argument of , to receive notifications when that property changes.
- Property
  2.12.0.0
  System.Obsolete("Replaced by GLib.Signal marshaling mechanism.")
  System.ComponentModel.EventHandlerList To be added a To be added
- Property
  2.12.0.0
  System.Obsolete("Replaced by GLib.Signal marshaling mechanism.")
  System.Collections.Hashtable To be added a To be added
- Property
  2.12.0.0
  System.Obsolete("Replaced by GLib.Signal marshaling mechanism.")
  System.ComponentModel.EventHandlerList To be added a To be added
- Property
  2.12.0.0
  System.Obsolete("Replaced by GLib.Signal marshaling mechanism.")
  System.Collections.Hashtable To be added a To be added
- Method
  2.12.0.0
  System.Void `` `` an array of (GObject) property names the values for the properties identified by Creates the GObject underlying a managed subclass This is the method used by managed subclasses (as opposed to classes that are just wrappers around C-based objects) to create their underlying GObject. It will be invoked for you automatically by when you chain to your subclass's base class constructor.
- Property
  2.12.0.0
  System.Collections.Hashtable Stores and Accesses arbitrary data on the Object. a This property is obsolete and should not be used unless you explicitly retain a reference to the . Otherwise the Data hashtable will be lost when the Garbage Collector releases your managed object wrapper. There are much better alternatives to this anyway. Consider using a Hashtable on your class that is keyed by or a subclass with an object property for the data you want to store instead. There are many better ways to accompish the role of this property.
- Method
  2.12.0.0
  System.Void Disposes of the raw object. Only override this if the Raw object should not be unreferenced when the object is garbage collected.
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Method
  2.12.0.0
  System.Void `` `` a a To be added To be added
- Method
  2.12.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  2.12.0.0
  GLib.Object `` a To be added a To be added
- Method
  2.12.0.0
  GLib.Object `` `` a a Used to obtain a CLI typed object associated with a given raw object pointer. a This method is primarily used to wrap object references that are returned by either the signal system or raw class methods that return GObject references.
- Method
  2.12.0.0
  GLib.Value `` a To be added a To be added
- Property
  2.12.0.0
  GLib.GType To be added a To be added
- Property
  2.12.0.0
  System.IntPtr The raw GObject reference associated with this object. an object of type Subclasses can use Raw property for read/write access.
- Method
  2.12.0.0
  GLib.GType To be added a To be added
- Method
  2.12.0.0
  GLib.GType `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` the name of a property on the underlying GObject. Emits a GObject "notify" signal for the property specified by . This method is used to notify consumers of the underlying GObject that something about the GObject property specified by has changed.
- Method
  2.12.0.0
  System.Void `` `` `` a a a To be added To be added
- Property
  2.12.0.0
  System.IntPtr To be added. To be added. To be added.
- Property
  2.12.0.0
  System.Collections.Hashtable Data hash to persistently store managed objects. a This data hash is persistent until the native object is destroyed and can therefore outlast a GLib.Object wrapper class.
- Property
  2.12.0.0
  System.IntPtr The raw GObject reference associated with this wrapper. an object of type Only subclasses of Object can access this read/write property. For public read-only access, use the Handle property. This property should only be used from constructors to set a native object pointer instantiated by the constructor. The constructor should chain to base (IntPtr.Zero) on the base class to ensure that no other native objects are instantiated for the class.
- Property
  2.12.0.0
  System.Int32 To be added a To be added
- Method
  2.12.0.0
  GLib.GType `` a To be added a To be added
- Method
  2.12.0.0
  System.Void `` the Cancels property-change notifications This disconnects from generic property change notifications. (This only affects notifications created with the corresponding generic version of . It does not remove notifications for specific properties.)
- Method
  2.12.0.0
  System.Void `` `` the property the Cancels property-change notifictions for the indicated property This disconnects from notifications for .
- Method
  2.12.0.0
  System.Void `` `` a a To be added To be added
- Property
  2.12.0.0
  System.String To be added a To be added